#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>

<HEAD>
<TITLE>Funkfeuer.At - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../0xff.css" REL="StyleSheet">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
echo $1|awk '
BEGIN {
hextab["0"]=0; hextab["1"]=1;
hextab["2"]=2; hextab["3"]=3;
hextab["4"]=4; hextab["5"]=5;
hextab["6"]=6; hextab["7"]=7;
hextab["8"]=8; hextab["9"]=9;
hextab["A"]=hextab["a"]=10;
hextab["B"]=hextab["b"]=11;
hextab["C"]=hextab["c"]=12;
hextab["D"]=hextab["d"]=13;
hextab["E"]=hextab["e"]=14;
hextab["F"]=hextab["f"]=15;
}
{
decoded="";
i=1;
len=length($0);
while (i<=len) {
c=substr($0, i, 1);
if (c=="%") {
if (i+2<=len) {
c1=substr($0, i+1, 1);
c2=substr($0, i+2, 1);
if (hextab[c1]==""||hextab[c2]=="") {
print "WARNING: invalid hex encoding: %" c1 c2|"cat>&2";
}
else {
code=0+hextab[c1]*16+hextab[c2]+0;
c=sprintf("%c", code);
i=i+2;
}
}
else {
print "WARNING: invalid % encoding: " substr($0, i, len-i);
}
}
else if (c=="+") {
c=" ";
}
decoded=decoded c;
++i;
}
print decoded;
}'
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(awk 'sub(":","") {print $1}' /proc/net/wireless)
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function navarr(){}
navset=new navarr();
navres=new navarr();
function set(idx){
if(!!navset[idx]){
document.images[idx].src=navset[idx].src;
}
}
function res(idx){
if(!!navres[idx]){
document.images[idx].src=navres[idx];
}
}
function ini() {
if (!!document.images){
for(var idx=0; idx<document.images.length; idx++){
var src=document.images[idx].src;
var pos=src.indexOf('_white.gif');
if (0<pos) {
navres[idx]=src;
src=src.substring(0, src.indexOf('_white.gif'))+'_red.gif';
navset[idx]=new Image(document.images[idx].width, document.images[idx].height);
navset[idx].src=src;
document.images[idx].onmouseover=new Function("if(!!window.set)set("+idx+");");
document.images[idx].onmouseout=new Function("if(!!window.res)res("+idx+");");
}
else if (!document.images[idx].mozbug && !!src.search &&
0<=src.search(new RegExp('progress[0-9]+\\.gif$')))
{
document.images[idx].mozbug=1;
document.images[idx].src='';
document.images[idx].src=src;
}
}
}
}
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>

<BODY>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="body">
<TR>
<TD CLASS="color" HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="color" HEIGHT="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="color" HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
</TR>
<TR>
<TD CLASS="color" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="orange" COLSPAN="4">
<TABLE BORDER="0" CELLPADDING="8" CELLSPACING="0" WIDTH="100%">
<TR>
<TD ALIGN="left" VALIGN="bottom"><A CLASS="orange" HREF="../index.html">Home</A>
<A CLASS="orange" HREF="../cgi-bin-contact.html">Kontakt</A></TD>
<TD ALIGN="right" VALIGN="bottom"><A HREF="http://www.funkfeuer.at/"><IMG ALT="Funkfeuer.at" BORDER="0" HEIGHT="63" HSPACE="8" SRC="../images/0xff.gif" VSPACE="8" WIDTH="243" TITLE="Funkfeuer.at"></A></TD>
</TR>
</TABLE></TD>
<TD WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
</TR>
<TR>
<TD CLASS="color" HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="color" HEIGHT="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="color" HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="8" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
</TR>
<TR>
<TD CLASS="color" HEIGHT="100%" VALIGN="top" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD CLASS="color" HEIGHT="100%" VALIGN="top">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="150">
<TBODY>
<TR>
<TD>

<H1 CLASS="color">Verwalten</H1></TD>
</TR>

<TR ID="idx-11">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="password.html">Kennwort</A></DIV></TD>
</TR>
<TR ID="idx-22">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="address.html">Adresse</A></DIV></TD>
</TR>
<TR ID="idx-33">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="olsrd.html">OLSR</A></DIV></TD>
</TR>
<TR ID="idx-44">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="wifi.html">Drahtlos</A></DIV></TD>
</TR>
<TR ID="idx-50">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="lan.html">LAN</A></DIV></TD>
</TR>
<TR ID="idx-55">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="wan.html">WAN</A></DIV></TD>
</TR>
<TR ID="idx-56">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="pppoecd.html">PPPoE</A></DIV></TD>
</TR>
<TR ID="idx-66">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="webpages.html">Publizieren</A></DIV></TD>
</TR>
<TR ID="idx-77">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="software.html">Software</A></DIV></TD>
</TR>
<TR ID="idx-88">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="firmware.html">Firmware</A></DIV></TD>
</TR>
<TR ID="idx-99">
<TD>
<DIV CLASS="color"><A CLASS="color" HREF="reset.html">Neustart</A></DIV></TD>
</TR></TBODY>
</TABLE></TD>
<TD CLASS="color" HEIGHT="100%" VALIGN="top" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="100%" VALIGN="top" WIDTH="8"><IMG HEIGHT="8" SRC="../images/8x8.gif" WIDTH="8"></TD>
<TD HEIGHT="100%" VALIGN="top" WIDTH="100%">
EOF
